Bug 520625 - Server crash (GPU lockup) with nouveau and GeForce 6200 LE
Summary: Server crash (GPU lockup) with nouveau and GeForce 6200 LE
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: card_NV44
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-01 13:41 UTC by Tethys
Modified: 2018-04-11 14:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-26 12:25:08 UTC


Attachments (Terms of Use)
Xorg.0.log (81.90 KB, text/plain)
2009-09-01 13:41 UTC, Tethys
no flags Details

Description Tethys 2009-09-01 13:41:53 UTC
Created attachment 359394 [details]
Xorg.0.log

Description of problem:
The server intermittently crashes leaving the following error on
the console:

	(EE) open /dev/fb0: No such file or directory
	E: main.c: Daemon startup failed

	Fatal server error:
	Detected GPU lockup

I'm not sure if the first two lines are from the time of the crash or
from earlier, but I've included them just in case.


Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-0.0.12-40.20090528git0c17b87.fc11.x86_64


How reproducible:
Intermittent

Steps to Reproduce:
1. N/A
2.
3.
  
Additional info:
Each time this has happened, I've been away from my desk and xscreensaver
has been active. I don't know if this is coincidence, or if something in
one of the screensavers is a trigger.

mrburns:~# lspci -v -s 02:00.0
02:00.0 VGA compatible controller: nVidia Corporation NV44 [GeForce 6200 LE] (rev a1) (prog-if 00 [VGA controller])
        Subsystem: ASUSTeK Computer Inc. Device 8205
        Flags: bus master, fast devsel, latency 0, IRQ 19
        Memory at b2000000 (32-bit, non-prefetchable) [size=16M]
        Memory at c0000000 (64-bit, prefetchable) [size=256M]
        Memory at b1000000 (64-bit, non-prefetchable) [size=16M]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [60] Power Management version 2
        Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
        Capabilities: [78] Express Endpoint, MSI 00
        Capabilities: [100] Virtual Channel <?>
        Capabilities: [128] Power Budgeting <?>
        Kernel modules: nouveau, nvidiafb

Full hardware details:

	http://www.smolts.org/client/show/pub_01481070-5b51-4214-957d-cf6db6fd25b8

At the time of the crash, the following was written to /var/log/messages:

	Sep  1 13:32:11 mrburns kernel: nouveau 0000:02:00.0: nouveau_fifo_free: freeing fifo 1
	Sep  1 13:32:11 mrburns kernel: nouveau 0000:02:00.0: nouveau_fifo_free: freeing fifo 0
	Sep  1 13:32:11 mrburns pulseaudio[2052]: reserve-wrap.c: Failed to acquire reservation lock on device 'Audio0': Input/output error
	Sep  1 13:32:12 mrburns restorecond: Reset file context /home/tet/.Xauthority-c: unconfined_u:object_r:user_home_t:s0->unconfined_u:object_r:xauth_home_t:s0
	Sep  1 13:32:12 mrburns restorecond: Reset file context /home/tet/.Xauthority-n: unconfined_u:object_r:user_home_t:s0->unconfined_u:object_r:xauth_home_t:s0
	Sep  1 13:32:14 mrburns pulseaudio[2052]: alsa-source.c: Increasing wakeup watermark to 40.00 ms

I have no xorg.conf. I'm attaching the X log file.

Comment 1 Matěj Cepl 2009-11-05 18:37:19 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 2 Tethys 2009-11-06 12:14:03 UTC
No, since it's an intermittent problem, I can't test if it's still
there with a new version.

Comment 3 Adam Williamson 2009-11-25 20:54:55 UTC
Has it happened _at all_ lately, though?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Tethys 2009-11-26 12:25:08 UTC
No, it's been pretty solid for the last few weeks. I'd guess that
whatever the problem was, it's been fixed by some update I've
applied since logging the fault. Happy to close this now.

Comment 5 Adam Williamson 2009-11-26 17:47:54 UTC
OK - please re-open the bug if it starts happening again. thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.